# IdeaContentRoot

interface IdeaContentRoot

Contains content root information.

## Functions

getExcludeDirectories
Link copied to clipboard
abstract fun getExcludeDirectories(): Set<File>
The set of excluded directories.
getResourceDirectories
Link copied to clipboard
abstract fun getResourceDirectories(): DomainObjectSet<out IdeaSourceDirectory>
The set of resource directories.
getRootDirectory
Link copied to clipboard
abstract fun getRootDirectory(): File
The content root directory.
getSourceDirectories
Link copied to clipboard
abstract fun getSourceDirectories(): DomainObjectSet<out IdeaSourceDirectory>
The set of source directories.
getTestDirectories
Link copied to clipboard
abstract fun getTestDirectories(): DomainObjectSet<out IdeaSourceDirectory>
The set of test source directories.
getTestResourceDirectories
Link copied to clipboard
abstract fun getTestResourceDirectories(): DomainObjectSet<out IdeaSourceDirectory>
The set of test resource directories.